<?php

$view

->loop
( 
    '#dever_navbar li',
    'main/menu-all',
    array  
    (
        'self' => array
        (
            'class' => '<{(isset($nav) && $nav == $i) ? "active" : ""}>',
        ),
        'a|0' => array
        (
            'href' => '<{$v.link}>',
            'title' => '<{$v.name}>',
            'html' => '<{$v.name}>',
            //'class' => '<{$v.class}>',
        ),
    )
)

//等有时间优化一下这里
//->check('passport/user.init', array('#dever_login_info', '#dever_login'))

->fetch('#dever-logo@href', '<{Dever::url("", "main")}>')

->fetch('#dever-logo', '<{Dever::load("main/config-one#name", 1)}>')

->fetch('#dever_login_info@style', '<{Dever::load("passport/user.data") ? "" : "display:none;"}>')

->fetch(array('#dever_login_info span', 0), '<{Dever::load("passport/user.data#msgnum")}>')

->fetch(array('#dever_login_info span', 1), '<{Dever::load("passport/user.data#username")}>')

//->fetch(array('#dever_login_info a@href', 0), '<{Dever::url("user/msg")}>')

->fetch(array('#dever_login_info a@href', 1), '<{Dever::load("passport/user.data#link")}>')

->fetch(array('#dever_login_info a@href', 2), '<{Dever::url("login.quit", "passport")}>')


->fetch('#dever_login@style', '<{Dever::load("passport/user.data") ? "display:none;" : ""}>')

->fetch(array('#dever_login a@href', 0), '<{Dever::load("passport/login.url")}>')

->fetch(array('#dever_login a@href', 1), '<{Dever::load("passport/reg.url")}>')

->display();